# NetworkJoinStatusWindow Struct Reference

Inheritance diagram for NetworkJoinStatusWindow:

## Public Member Functions
| NetworkJoinStatusWindow (const WindowDesc *desc)
virtual void | OnPaint ()
| The window must be repainted.
virtual void | DrawWidget (const Rect &r, int widget) const
| Draw the contents of a nested widget.
virtual void | UpdateWidgetSize (int widget, Dimension *size, const Dimension &padding, Dimension *fill, Dimension *resize)
| Update size and resize step of a widget in the window.
virtual void | OnClick (Point pt, int widget, int click_count)
| A click with the left mouse button has been made on the window.
virtual void | OnQueryTextFinished (char *str)
| The query window opened from this window has closed.
## Data Fields
NetworkPasswordType | password_type

## Detailed Description

Definition at line 2131 of file network_gui.cpp.

## Member Function Documentation

virtual void NetworkJoinStatusWindow::DrawWidget | ( | const Rect & | r,
|  | int | widget |
| ) |  |  | const`[inline, virtual]`

Draw the contents of a nested widget.

Parameters:

  | r | Rectangle occupied by the widget.
  | widget | Number of the widget to draw.

Note:
  This method may not change any state, it may only use drawing functions.

Reimplemented from Window.

Definition at line 2145 of file network_gui.cpp.

References DrawFrameRect(), DrawString(), FONT_HEIGHT_NORMAL, NJSW_BACKGROUND, SA_CENTER, and SetDParam().

virtual void NetworkJoinStatusWindow::OnClick | ( | Point | pt,
|  | int | widget,
|  | int | click_count |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.
  | click_count | Number of fast consecutive clicks at same position

Reimplemented from Window.

Definition at line 2199 of file network_gui.cpp.

References NetworkDisconnect(), and NJSW_CANCELOK.

virtual void NetworkJoinStatusWindow::OnPaint | ( |  | ) | `[inline, virtual]`

The window must be repainted.

Note:
  This method should not change any state, it should only use drawing functions.

Reimplemented from Window.

Definition at line 2140 of file network_gui.cpp.

References Window::DrawWidgets().

virtual void NetworkJoinStatusWindow::OnQueryTextFinished | ( | char * | str | ) | `[inline, virtual]`

The query window opened from this window has closed.

Parameters:

  | str | the new value of the string, NULL if the window was cancelled or an empty string when the default button was pressed, i.e. StrEmpty(str).

Reimplemented from Window.

Definition at line 2208 of file network_gui.cpp.

References NetworkDisconnect(), and StrEmpty().

virtual void NetworkJoinStatusWindow::UpdateWidgetSize | ( | int | widget,
|  | Dimension * | size,
|  | const Dimension & | padding,
|  | Dimension * | fill,
|  | Dimension * | resize |
| ) |  |  | `[inline, virtual]`

Update size and resize step of a widget in the window.

After retrieval of the minimal size and the resize-steps of a widget, this function is called to allow further refinement, typically by computing the real maximal size of the content. Afterwards, size is taken to be the minimal size of the widget and resize is taken to contain the resize steps. For the convenience of the callee, padding contains the amount of padding between the content and the edge of the widget. This should be added to the returned size.

Parameters:

  | widget | Widget number.
  | size | Size of the widget.
  | padding | Recommended amount of space between the widget content and the widget edge.
  | fill | Fill step of the widget.
  | resize | Resize step of the widget.

Reimplemented from Window.

Definition at line 2174 of file network_gui.cpp.

References FONT_HEIGHT_NORMAL, GetStringBoundingBox(), max(), NJSW_BACKGROUND, SetDParam(), WD_FRAMERECT_BOTTOM, WD_FRAMERECT_LEFT, and Window::width.

The documentation for this struct was generated from the following file:

- src/network/network_gui.cpp